Page MenuHomePhabricator

remotefilelog: add logging for prefetch during commit
AbandonedPublic

Authored by stash on Oct 13 2017, 5:37 AM.

Details

Reviewers
quark
Group Reviewers
Restricted Project
Summary

Prefetch during commit means that commit may fail offline.
Unfortunately we don't know why it happens. Let's log these events to
investigate.

Test Plan

Run unit-tests

Diff Detail

Repository
rFBHGX Facebook Mercurial Extensions
Branch
default
Lint
Lint OK
Unit
Unit Tests OK

Event Timeline

stash created this revision.Oct 13 2017, 5:37 AM
quark accepted this revision.Oct 16 2017, 6:30 PM
quark added a subscriber: quark.

I guess prefetch could happen when linkrev is incorrect.

remotefilelog/__init__.py
136

Is there a reason to wrap runcommand? I think you can just change fileservice directly?

This revision is now accepted and ready to land.Oct 16 2017, 6:30 PM
quark added inline comments.Oct 17 2017, 1:04 PM
remotefilelog/__init__.py
138

I see. You're checking if the command is commit. That has to be done via runcommand unfortunately.

durham added a subscriber: durham.Oct 31 2017, 12:29 PM
durham added inline comments.
remotefilelog/__init__.py
138

Instead of putting fileserver logging code up here, can we put the command name somewhere that the fileserver can read? Like temporary attribute on the ui object? Then the fileserver can have it's own logic check that. Other parts of the code might want to know the current command as well, so it would help them too.

stash abandoned this revision.Nov 30 2017, 5:08 AM

It's not that necessary now, and requires more work to get it done. I'm going to abandon the diff.